    import QuillBinding from 'yjs/src/Bindings/QuillBinding/QuillBinding.js'

public class | source

# QuillBinding

#### Extends:

Binding → QuillBinding

A Binding that binds a YText type to a Quill editor.

#### Example:

    const quill = new Quill(document.createElement('div'))
    const type = y.define('quill', Y.Text)
    const binding = new Y.QuillBinding(quill, type)
    // Now modifications on the DOM will be reflected in the Type, and the other
    // way around!

## Constructor Summary

Public Constructor
public | constructor (textType: YText, quill: Quill) |

## Method Summary

Public Methods
public | destroy () |

## Inherited Summary

From class Binding
public | target : * The target that `type` is bound to. |
public | type : YType The Yjs type that is bound to `target` |
public | destroy () Remove all data observers (both from the type and the target). |

## Public Constructors

### public constructor(textType: YText, quill: Quill) source

#### Override:

Binding#constructor

#### Params:

Name | Type | Attribute | Description
textType | YText |  |
quill | Quill |  |

## Public Methods

### public destroy() source

Remove all data observers (both from the type and the target).

#### Override:

Binding#destroy